Bug 116643 - Crash when playing slide with video (PPTX, see comment 7)
Summary: Crash when playing slide with video (PPTX, see comment 7)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.2.1 release
Hardware: x86-64 (AMD64) Linux (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks: Media-Playback
  Show dependency treegraph
 
Reported: 2018-03-26 19:05 UTC by vatprc_cyq
Modified: 2019-12-01 03:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The PPTX FILE opened when crash,edited by Impress. (8.38 MB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-03-26 19:24 UTC, vatprc_cyq
Details
Backtrace of crash from master (80.58 KB, text/plain)
2018-03-29 19:10 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vatprc_cyq 2018-03-26 19:05:11 UTC
Description:
crash to desktop when selected a PPT file page contain media
Office 365 tested play normally
The PPT file is office 2013

Steps to Reproduce:
1.Open a PPT file contain media file
2.select page of contain media file
3.click mouse at main view


Actual Results:  
Impress crash to deskop
window vanished

Expected Results:
selected media object
press play button to play


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.0.2.1
Build ID:1:6.0.2-0ubuntu1
CPU 线程:8; 操作系统:Linux 4.15; UI 渲染:默认; VCL: gtk3; 
区域语言:zh-CN (zh_CN.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 vatprc_cyq 2018-03-26 19:24:03 UTC
Created attachment 140889 [details]
The PPTX FILE opened when crash,edited by Impress.

sucessfully edited by Impress,re saved.
And when select PPT page contain media,crash to desktop happen again
Comment 2 Xisco Faulí 2018-03-26 19:41:51 UTC
Hello,
I guess you mean:
1. Open the file
2. go to slide 4
3. Select the video
4. Play it

right?

I can't reproduce it in

Version: 6.0.3.1
Build ID: 1:6.0.3~rc1-0ubuntu0.16.04.1
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 3 Xisco Faulí 2018-03-27 16:04:30 UTC
Dear Reporter,
Could you please answer the question above?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' once the question has been answered
Comment 4 vatprc_cyq 2018-03-27 17:42:46 UTC
(In reply to Xisco Faulí from comment #2)
> Hello,
> I guess you mean:
> 1. Open the file
> 2. go to slide 4
> 3. Select the video
> 4. Play it
> 
> right?
> 
> I can't reproduce it in
> 
> Version: 6.0.3.1
> Build ID: 1:6.0.3~rc1-0ubuntu0.16.04.1
> CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); Calc: group

yep,crash to desktop when selected slide 4
directly exit
Comment 5 vatprc_cyq 2018-03-27 17:43:58 UTC Comment hidden (obsolete)
Comment 6 vatprc_cyq 2018-03-27 17:48:48 UTC
(In reply to Xisco Faulí from comment #2)
> Hello,
> I guess you mean:
> 1. Open the file
> 2. go to slide 4
> 3. Select the video
> 4. Play it
> 
> right?
> 
> I can't reproduce it in
> 
> Version: 6.0.3.1
> Build ID: 1:6.0.3~rc1-0ubuntu0.16.04.1
> CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); Calc: group

Affirm,tried in 'Safe Mode' open this file,at safe mode(user config disabled),select slide 4 and the crash to desktop will happen again
Comment 7 Buovjaga 2018-03-29 19:10:50 UTC
Created attachment 140956 [details]
Backtrace of crash from master

Real steps:

1. Open file
2. Go to slide 4
3. Shift-F5 to start slideshow from the slide

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 9c459fd919cb8199a69fc2d630742930e533285b
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 29th 2018
Comment 8 Xisco Faulí 2018-03-30 14:14:32 UTC
I can't reproduce the steps from comment 7 in

Version: 6.1.0.0.alpha0+
Build ID: 484fe43b5e9f3696d26b8c0452aab6fd14e10772
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 9 Buovjaga 2018-03-30 15:10:39 UTC
(In reply to Xisco Faulí from comment #8)
> I can't reproduce the steps from comment 7 in
> 
> Version: 6.1.0.0.alpha0+
> Build ID: 484fe43b5e9f3696d26b8c0452aab6fd14e10772
> CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); Calc: group

For what it's worth, I could reproduce with gtk3.

Xisco: what is your gstreamer version? Mine is 1.14.0
Comment 10 yuchun 2018-11-29 08:48:29 UTC
Bug not reproducible in version.
But the video is Flickering randomly.

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded
Comment 11 Xisco Faulí 2018-11-29 09:49:58 UTC
(In reply to Buovjaga from comment #9)
> Xisco: what is your gstreamer version? Mine is 1.14.0

I forgot to reply...
0.10.36 or 1.8.3
Comment 12 Buovjaga 2018-11-30 19:00:17 UTC
There is a new regression on Linux, bug 121830
Comment 13 QA Administrators 2019-12-01 03:40:17 UTC
Dear vatprc_cyq,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug